[ubuntu/maverick] kde4libs 4:4.4.80-0ubuntu1 (Accepted)

Roderick B. Greening roderick.greening at gmail.com
Sun May 30 00:01:00 BST 2010


kde4libs (4:4.4.80-0ubuntu1) maverick; urgency=low

  [ Alessandro Ghersi ]
  * New upstream beta release
  * Switch to dpkg-source 3.0 (quilt) format
    - Remove .uu icons and add .png icons, since we switch to 3.0 source format
    - Drop binary-install/kdelibs5-data in rules, no longer need
    - Add override_dh_auto_install in rules to install icons
    - Add source/include-binaries file
    - Remove README.source no longer need
  * Drop patches fixed by upstream:
    - 00_4.4.3_final_tarball.diff
    - kubuntu_02_filedialog_enter_fix.diff
  * Update patches:
    - 09_disable_usr_lib_install_rpath
    - 13_qt4_designer_plugins_path
    - 25_ld_exclude_libs_qtuitools.diff
    - kubuntu_04_add_langpack_path.diff
  * Drop kubuntu_70_dbusmenu.diff went upstream
  * Bump build-depends:
    - libphonon-dev to 4:4.7.0really4.4.1-0ubuntu3
    - libqt4-dev and libqt4-opengl-dev to 4:4.7.0~beta1+git20100522
    - libsoprano-dev to 2.4.63
  * Add docbook-xml and docbook-xsl to build-depends, are required packages
  * Update various install files
  * Add KUBUNTU-TODO file

  [ Scott Kitterman ]
  * Add replaces kdelibs5 (<< 4:4.4.80) to libnepomukquery4a due to
    /usr/lib/libnepomukquery.so moving packages

  [ Roderick B. Greening ]
  * Update build deps
    - libattica-dev (>= 0.1.4)
    - docbook-xml (>= 4.0)
  * Update patches:
    - kubuntu_06_user_disk_mounting.diff
  * Refresh patches (quilt refresh)
    - fixes some patches which did not apply (fuzzy)
  * Disable patches which do not work and should possibly be dropped
    - 19_findqt4_optional_x11_pthread.diff
    - 23_solid_no_double_build.diff

Date: Thu, 27 May 2010 14:00:58 -0230
Changed-By: Roderick B. Greening <roderick.greening at gmail.com>
Maintainer: Kubuntu Developers <kubuntu-devel at lists.ubuntu.com>
Signed-By: Jonathan Riddell <jriddell at ubuntu.com>
https://launchpad.net/ubuntu/maverick/+source/kde4libs/4:4.4.80-0ubuntu1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 27 May 2010 14:00:58 -0230
Source: kde4libs
Binary: libkdecore5 libkdeui5 libkpty4 libkdesu5 libkjsapi4 libkjsembed4 libkio5 libkntlm4 libsolid4 libkde3support4 libkfile4 libknewstuff2-4 libknewstuff3-4 libkparts4 libkutils4 libthreadweaver4 libkhtml5 libkimproxy4 libkmediaplayer4 libktexteditor4 libknotifyconfig4 libkdnssd4 libkrosscore4 libkrossui4 libnepomuk4 libnepomukquery4a libplasma3 libkunitconversion4 libkdewebkit5 kdelibs-bin kdelibs5-plugins kdelibs5-data kdoctools kdelibs5-dev kdelibs5 kdelibs5-dbg
Architecture: source
Version: 4:4.4.80-0ubuntu1
Distribution: maverick
Urgency: low
Maintainer: Kubuntu Developers <kubuntu-devel at lists.ubuntu.com>
Changed-By: Roderick B. Greening <roderick.greening at gmail.com>
Description: 
 kdelibs-bin - core executables for KDE Aapplications
 kdelibs5   - transitional package for the KDE Development Platform libraries
 kdelibs5-data - core shared data for all KDE Applications
 kdelibs5-dbg - debugging symbols for the KDE Development Platform libraries
 kdelibs5-dev - development files for the KDE Development Platform libraries
 kdelibs5-plugins - core plugins for KDE Applications
 kdoctools  - various tools for accessing application documentation
 libkde3support4 - the KDE 3 Support Library for the KDE 4 Platform
 libkdecore5 - the KDE Platform Core Library
 libkdesu5  - the Console-mode Authentication Library for the KDE Platform
 libkdeui5  - the KDE Platform User Interface Library
 libkdewebkit5 - the KDE WebKit Library
 libkdnssd4 - the DNS-SD Protocol Library for the KDE Platform
 libkfile4  - the File Selection Dialog Library for KDE Platform
 libkhtml5  - the KHTML Web Content Rendering Engine
 libkimproxy4 - the Instant Messaging Interface Library for the KDE Platform
 libkio5    - the Network-enabled File Management Library for the KDE Platform
 libkjsapi4 - the KJS API Library for the KDE Development Platform
 libkjsembed4 - library for binding JavaScript objects to QObjects
 libkmediaplayer4 - the KMediaPlayer Interface for the KDE Platform
 libknewstuff2-4 - the "Get Hot New Stuff" v2 Library for the KDE Platform
 libknewstuff3-4 - the "Get Hot New Stuff" v3 Library for the KDE Platform
 libknotifyconfig4 - library for configuring KDE Notifications
 libkntlm4  - the NTLM Authentication Library for the KDE Platform
 libkparts4 - the Framework for the KDE Platform Graphical Components
 libkpty4   - the Pseudo Terminal Library for the KDE Platform
 libkrosscore4 - the Kross Core Library
 libkrossui4 - the Kross UI Library
 libktexteditor4 - the KTextEditor interfaces for the KDE Platform
 libkunitconversion4 - the Unit Conversion library for the KDE Platform
 libkutils4 - various utility classes for the KDE Platform
 libnepomuk4 - the Nepomuk Meta Data Library
 libnepomukquery4a - the Nepomuk Query Library for the KDE Platform
 libplasma3 - the Plasma Library for the KDE Platform
 libsolid4  - Solid Library for KDE Platform
 libthreadweaver4 - the ThreadWeaver Library for the KDE Platform
Changes: 
 kde4libs (4:4.4.80-0ubuntu1) maverick; urgency=low
 .
   [ Alessandro Ghersi ]
   * New upstream beta release
   * Switch to dpkg-source 3.0 (quilt) format
     - Remove .uu icons and add .png icons, since we switch to 3.0 source format
     - Drop binary-install/kdelibs5-data in rules, no longer need
     - Add override_dh_auto_install in rules to install icons
     - Add source/include-binaries file
     - Remove README.source no longer need
   * Drop patches fixed by upstream:
     - 00_4.4.3_final_tarball.diff
     - kubuntu_02_filedialog_enter_fix.diff
   * Update patches:
     - 09_disable_usr_lib_install_rpath
     - 13_qt4_designer_plugins_path
     - 25_ld_exclude_libs_qtuitools.diff
     - kubuntu_04_add_langpack_path.diff
   * Drop kubuntu_70_dbusmenu.diff went upstream
   * Bump build-depends:
     - libphonon-dev to 4:4.7.0really4.4.1-0ubuntu3
     - libqt4-dev and libqt4-opengl-dev to 4:4.7.0~beta1+git20100522
     - libsoprano-dev to 2.4.63
   * Add docbook-xml and docbook-xsl to build-depends, are required packages
   * Update various install files
   * Add KUBUNTU-TODO file
 .
   [ Scott Kitterman ]
   * Add replaces kdelibs5 (<< 4:4.4.80) to libnepomukquery4a due to
     /usr/lib/libnepomukquery.so moving packages
 .
   [ Roderick B. Greening ]
   * Update build deps
     - libattica-dev (>= 0.1.4)
     - docbook-xml (>= 4.0)
   * Update patches:
     - kubuntu_06_user_disk_mounting.diff
   * Refresh patches (quilt refresh)
     - fixes some patches which did not apply (fuzzy)
   * Disable patches which do not work and should possibly be dropped
     - 19_findqt4_optional_x11_pthread.diff
     - 23_solid_no_double_build.diff
Checksums-Sha1: 
 30d07bdb166b2e0dee05a74c5e33b2e707fca74d 3016 kde4libs_4.4.80-0ubuntu1.dsc
 8e3da3b72cf32dd73428b9b9f684d2bb9207baa3 14394610 kde4libs_4.4.80.orig.tar.bz2
 1b350a5a2e63eaf52d95e4c0283e98ac4e3814ef 331385 kde4libs_4.4.80-0ubuntu1.debian.tar.gz
Checksums-Sha256: 
 228bc38a0699124398cdd4c892f47073e2037cb677c4908005989788f0c5fbea 3016 kde4libs_4.4.80-0ubuntu1.dsc
 bcc3c941a0708623d93a389eee914f5bea75cf22a074e0beb11cc0522ae0a378 14394610 kde4libs_4.4.80.orig.tar.bz2
 beaa08751d71288fb877c9cfe01d8c4bf0d843cd4544684ce4b183a9b5e2b250 331385 kde4libs_4.4.80-0ubuntu1.debian.tar.gz
Files: 
 55545d083021d0d10d72f8ed3e518424 3016 libs optional kde4libs_4.4.80-0ubuntu1.dsc
 95ae454b45491116b42803beffc7956e 14394610 libs optional kde4libs_4.4.80.orig.tar.bz2
 b555058de77ed039f1f3b9751397013e 331385 libs optional kde4libs_4.4.80-0ubuntu1.debian.tar.gz
Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwBlVYACgkQpQbm1N1NUIgJjACdHSPjBL0Vk3CpgMycf2x/1SQ2
XiQAmgKrpIcdTua+mD/Vqfq/bl4dEDgB
=awSX
-----END PGP SIGNATURE-----


More information about the Maverick-changes mailing list